Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.util
Class TermUtil

    java.lang.Object
      avrora.util.TermUtil

public class TermUtil
extends java.lang.Object

Constructor Summary
`TermUtil()`

Method Summary
`static void` | `printSeparator(int width)` The `printSeparator()` method prints a horizontal bar on the terminal that helps to separate different sections of textual output.
`static void` | `printSeparator(int width, java.lang.String header)` The `printSeparator()` method prints a horizontal bar on the terminal that helps to separate different sections of textual output.
`static void` | `printThinSeparator(int width)` The `printThinSeparator()` method prints a horizontal bar on the terminal that helps to separate different sections of textual output.
`static void` | `reportProportion(java.lang.String name, long val, long total, java.lang.String units)` The `reportProportion()` method is a simply utility to print out a quantity's name (such as "Number of instructions executed", the value (such as 2002), and the units (such as cycles) in a colorized and standardized way.
`static void` | `reportQuantity(java.lang.String name, float val, java.lang.String units)` The `reportQuantity()` method is a simply utility to print out a quantity's name (such as "Number of instructions executed", the value (such as 2002), and the units (such as cycles) in a colorized and standardized way.
`static void` | `reportQuantity(java.lang.String name, long val, java.lang.String units)` The `reportQuantity()` method is a simply utility to print out a quantity's name (such as "Number of instructions executed", the value (such as 2002), and the units (such as cycles) in a colorized and standardized way.
`static void` | `reportQuantity(java.lang.String name, java.lang.String val, java.lang.String units)` The `reportQuantity()` method is a simply utility to print out a quantity's name (such as "Number of instructions executed", the value (such as 2002), and the units (such as cycles) in a colorized and standardized way.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermUtil

    public TermUtil()

Method Detail

### reportQuantity

    public static void reportQuantity(java.lang.String name,
                                      long val,
                                      java.lang.String units)

  The `reportQuantity()` method is a simply utility to print out a quantity's name (such as "Number of instructions executed", the value (such as 2002), and the units (such as cycles) in a colorized and standardized way.

  Parameters:
    `name` - the name of the quantity as a string
    `val` - the value of the quantity as a long integer
    `units` - the name of the units as a string

### reportProportion

    public static void reportProportion(java.lang.String name,
                                        long val,
                                        long total,
                                        java.lang.String units)

  The `reportProportion()` method is a simply utility to print out a quantity's name (such as "Number of instructions executed", the value (such as 2002), and the units (such as cycles) in a colorized and standardized way.

  Parameters:
    `name` - the name of the quantity as a string
    `val` - the value of the quantity as a long integer
    `units` - the name of the units as a string

### reportQuantity

    public static void reportQuantity(java.lang.String name,
                                      float val,
                                      java.lang.String units)

  The `reportQuantity()` method is a simply utility to print out a quantity's name (such as "Number of instructions executed", the value (such as 2002), and the units (such as cycles) in a colorized and standardized way.

  Parameters:
    `name` - the name of the quantity as a string
    `val` - the value of the quantity as a floating point number
    `units` - the name of the units as a string

### reportQuantity

    public static void reportQuantity(java.lang.String name,
                                      java.lang.String val,
                                      java.lang.String units)

  The `reportQuantity()` method is a simply utility to print out a quantity's name (such as "Number of instructions executed", the value (such as 2002), and the units (such as cycles) in a colorized and standardized way.

  Parameters:
    `name` - the name of the quantity as a string
    `val` - the value of the quantity as a string
    `units` - the name of the units as a string

### printSeparator

    public static void printSeparator(int width)

  The `printSeparator()` method prints a horizontal bar on the terminal that helps to separate different sections of textual output. This implementation uses the '=' character, providing a double-thick separator line.

  Parameters:
    `width` - the width of the horizontal separator bar

### printThinSeparator

    public static void printThinSeparator(int width)

  The `printThinSeparator()` method prints a horizontal bar on the terminal that helps to separate different sections of textual output. This implementation uses the '-' character, providing a thinner separator line for separating subsections of text output.

  Parameters:
    `width` - the width of the horizontal separator bar

### printSeparator

    public static void printSeparator(int width,
                                      java.lang.String header)

  The `printSeparator()` method prints a horizontal bar on the terminal that helps to separate different sections of textual output. This implementation uses the '=' character, providing a double-thick separator line and embeds a header string within the separating line.

  Parameters:
    `width` - the width of the horizontal separator bar
    `header` - the string to embed in the separator line

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD